Subject: bug#4375 closed by Robert Marshall <[email-masked]> (Re: bug#4375: 23.1.50; can't kill killed gud buffer)

From: [email-masked] (Emacs bug Tracking System)
Date: Thu, 10 Sep 2009 08:45:08 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4375: 23.1.50; can't kill killed gud buffer

It has been closed by Robert Marshall <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Robert Marshall <[email-masked]> by
replying to this email.

-- 
4375: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4375
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4375: 23.1.50; can't kill killed gud buffer
From: Robert Marshall <[email-masked]>
To: [email-masked]
Date: Thu, 10 Sep 2009 09:34:54 +0100

works for me! (thanks)

Robert

-- 
Robert A J Marshall,  
web: http://IPSA-Power.com 

Subject: 23.1.50; can't kill killed gud buffer
From: Robert Marshall <[email-masked]>
To: [email-masked]
Date: Tue, 08 Sep 2009 16:08:38 +0100

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Maybe associated with the other gdb error I have just reported.
If I run gud with --annotate=3
I get lots of pre-prompt and post-prompt output
(perhaps this is to be expected), I kill the process with a signals KILL
- off the pulldown menu) and if I then attempt to kill the *gud ...*
buffer I get the message

gdb-input: Buffer *gud-ipsa-scripted* has no process

and the buffer is not killed :-(

Robert

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/home/robert/emacs/etc/DEBUG for instructions.

In GNU Emacs 23.1.50.2 (x86_64-unknown-linux-gnu, GTK+ Version 2.16.1)
 of 2009-09-08 on robert-laptop
Windowing system distributor `The X.Org Foundation', version 11.0.10600000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Debugger

Minor modes in effect:
  desktop-save-mode: t
  recentf-mode: t
  show-paren-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

-- 
Robert A J Marshall,  
TNEI Services Ltd, 86-90 London Road, Manchester, M1 2PW 
Registered in England & Wales No. 03891836,
Registered office:  Milburn House, Dean Street, Newcastle upon Tyne, NE1 1LE
tel: +44 161 615 6017; fax: +44 161 615 6001; mobile: +44 7759 688384 
web: http://IPSA-Power.com